Agora RTC Objective-C API Reference Refactor

Properties
AgoraRtcRemoteVideoStats Class Reference

Inherits <NSObject>.

## Properties
NSUInteger | uid
NSUInteger | delay
NSUInteger | e2eDelay
NSUInteger | width
NSUInteger | height
NSUInteger | receivedBitrate
AgoraVideoStreamType | rxStreamType
NSInteger | decoderOutputFrameRate
NSInteger | rendererOutputFrameRate
NSInteger | frameLossRate
NSInteger | packetLossRate
NSInteger | totalFrozenTime
NSUInteger | totalActiveTime
NSInteger | publishDuration
NSInteger | frozenRate
NSInteger | avSyncTimeMs
NSInteger | mosValue
NSUInteger | rxVideoBytes

## Property Documentation

## ◆ uid

- (NSUInteger) uid
| read write nonatomic assign

The user ID of the remote user sending the video stream.

## ◆ delay

- (NSUInteger) delay
| read write nonatomic assign

Deprecated: In scenarios where audio and video are synchronized, you can get the video delay data from `networkTransportDelay` and `jitterBufferDelay` in `AgoraRtcRemoteAudioStats`. The video delay (ms).

## ◆ e2eDelay

- (NSUInteger) e2eDelay
| read write nonatomic assign

End-to-end video latency (ms). That is, the time elapsed from the video capturing on the remote user's end to the receiving and rendering of the video on the local user's end.

## ◆ width

- (NSUInteger) width
| read write nonatomic assign

The width (pixels) of the video.

## ◆ height

- (NSUInteger) height
| read write nonatomic assign

The height (pixels) of the video.

## ◆ receivedBitrate

- (NSUInteger) receivedBitrate
| read write nonatomic assign

The bitrate (Kbps) of the remote video received since the last count.

## ◆ rxStreamType

- (AgoraVideoStreamType) rxStreamType
| read write nonatomic assign

The type of the video stream. See `AgoraVideoStreamType`.

## ◆ decoderOutputFrameRate

- (NSInteger) decoderOutputFrameRate
| read write nonatomic assign

The frame rate (fps) of decoding the remote video.

## ◆ rendererOutputFrameRate

- (NSInteger) rendererOutputFrameRate
| read write nonatomic assign

The frame rate (fps) of rendering the remote video.

## ◆ frameLossRate

- (NSInteger) frameLossRate
| read write nonatomic assign

The packet loss rate (%) of the remote video.

## ◆ packetLossRate

- (NSInteger) packetLossRate
| read write nonatomic assign

The packet loss rate (%) of the remote video after using the anti-packet-loss technology.

## ◆ totalFrozenTime

- (NSInteger) totalFrozenTime
| read write nonatomic assign

The total freeze time (ms) of the remote video stream after the remote user joins the channel. In a video session where the frame rate is set to no less than 5 fps, video freeze occurs when the time interval between two adjacent renderable video frames is more than 500 ms.

## ◆ totalActiveTime

- (NSUInteger) totalActiveTime
| read write nonatomic assign

The total active time (ms) of the video. As long as the remote user or host neither stops sending the video stream nor disables the video module after joining the channel, the video is available.

## ◆ publishDuration

- (NSInteger) publishDuration
| read write nonatomic assign

The total duration (ms) of the remote video stream.

## ◆ frozenRate

- (NSInteger) frozenRate
| read write nonatomic assign

The total video freeze time as a percentage (%) of the total time the video is available. The video is considered available as long as that the remote user neither stops sending the video stream nor disables the video module after joining the channel.

## ◆ avSyncTimeMs

- (NSInteger) avSyncTimeMs
| read write nonatomic assign

The amount of time (ms) that the audio is ahead of the video.

Note
  If this value is negative, the audio is lagging behind the video.

## ◆ mosValue

- (NSInteger) mosValue
| read write nonatomic assign

The quality of the remote video stream in the reported interval. The quality is determined by the Agora real-time video MOS (Mean Opinion Score) measurement method. The return value range is [0, 500]. Dividing the return value by 100 gets the MOS score, which ranges from 0 to 5. The higher the score, the better the video quality.

Note
  For textured video data, this parameter always returns 0.

## ◆ rxVideoBytes

- (NSUInteger) rxVideoBytes
| read write nonatomic assign

Total number of video bytes received (bytes), represented by an aggregate value.